Do you have any system requirements?

Feeln is designed to be accessed on a broadband connection with modern web browsers including Chrome, Firefox, Safari, and Internet Explorer 11 or later. We also recommend using Windows 7 / Mac OS 10.9.5 or higher. Our service is available on other internet connected, supported devices including iPads, Roku, Apple TV, ChromeCast and more.




Feedback and Knowledge Base